%global pypi_name livereload

Name:           %{pypi_name}
Version:        2.4.1
Release:        2%{?dist}
Summary:        Command line utility for starting a server in a directory
License:        MIT
URL:            https://github.com/lepture/python-livereload
Source0:        https://github.com/lepture/python-%{pypi_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
Group:          Development/Libraries

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-tornado
BuildRequires:  python3-certifi
BuildRequires:  python3-backports_abc
Requires:       python3-tornado
Requires:       python3-six
Requires:       python3-certifi
Provides:       python3-livereload = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description
Python3 LiveReload provides a command line utility, livereload, for starting a 
server in a directory. By default, it will listen to port 35729, the common port 
for LiveReload browser extensions. LiveReload is designed for web developers who 
know Python. For python2 support install python2-livereload

%package -n python2-%{pypi_name}
Summary:        Command line utility for starting a server in a directory
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-six
BuildRequires:  python-tornado
BuildRequires:  python2-certifi
BuildRequires:  python2-backports_abc
Requires:       python-tornado
Requires:       python2-six
Requires:       python2-certifi
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Python2 LiveReload provides a command line utility, livereload, for starting a
server in a directory. By default, it will listen to port 35729, the common port
for LiveReload browser extensions. LiveReload is designed for web developers who
know Python.

%prep
%setup -q -n python-%{name}-%{version}

%build
%py3_build
%py2_build

%install
%py2_install
mv %{buildroot}/%{_bindir}/livereload %{buildroot}/%{_bindir}/livereload-py2
%py3_install

%check
#%{__python2} setup.py test
%{__python3} setup.py test

%files
%doc README.rst CHANGES.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python2-%{pypi_name}
%doc README.rst CHANGES.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/%{pypi_name}-py2
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Feb 19 2016 William Moreno <williamjmorenor@gmail.com> - 2.4.1-2
- Provides python2-subpackage

* Fri Feb 12 2016 William Moreno <williamjmorenor@gmail.com> - 2.4.1-1
- v2.4.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 2.4.0-11
- https://fedoraproject.org/wiki/FAD_Python_3_Porting_2015

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Sep 11 2015 Fedora <williamjmorenor at gmail.com> 
- 2.4.0-9
- Update Python Macros

* Thu Jul 09 2015 Fedora William Moreno Reyes <williamjmorenor at @gmail.com> 
- 2.4.0-8
- Do not build docs

* Thu Jul 09 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 2.4.0-7
- Not use compresed manpage

* Wed Jul 08 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 2.4.0-6
- Initial Import of #1230968
